Page MenuHomePhabricator

MediaWiki VisualEditor and PageAttachment compatibility
Closed, ResolvedPublic0 Estimate Story Points

Description

Apparently it doesn't play nice with VE and whatnot. Apparently there's fixes in this: https://github.com/ElNovi/mediawiki-skins-Timeless

Details

Related Gerrit Patches:
mediawiki/skins/Timeless : masterRefactor TimelessTemplate.php

Event Timeline

Isarra created this task.Apr 7 2016, 12:39 AM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptApr 7 2016, 12:39 AM
Isarra moved this task from Bugs to Compatibility on the Timeless board.Mar 16 2017, 4:04 PM

I don't really know what PageAttachment is, but the VisualEditor compatibility fixes work. (You also need $wgVisualEditorSupportedSkins[] = 'timeless'; in LocalSettings for the VE "Edit" link to appear.)

Some of the styling is funny (the toolbar in particular gets all messed up with some of the responsive layouts, and the font size in dialogs looks too large), but it all could probably be fixed with some poking. All the important bits like actually editing pages work.

Change 344748 had a related patch set uploaded (by Isarra):
[mediawiki/skins/Timeless@master] Refactor TimelessTemplate.php

https://gerrit.wikimedia.org/r/344748

Change 344748 merged by jenkins-bot:
[mediawiki/skins/Timeless@master] Refactor TimelessTemplate.php

https://gerrit.wikimedia.org/r/344748

I'ma call this done, since all the expected elements are there. We still need T161373 and some actual styles, but those are separate matters.

Isarra closed this task as Resolved.Mar 26 2017, 6:00 PM
Isarra claimed this task.
Restricted Application added a project: User-Ryasmeen. · View Herald TranscriptMar 26 2017, 6:00 PM
Jdforrester-WMF set the point value for this task to 0.Mar 28 2017, 3:55 PM